> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kakiyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> Returns all agents for the authenticated team



## OpenAPI

````yaml GET /agents
openapi: 3.1.0
info:
  title: Kakiyo API
  description: API for automating LinkedIn outreach campaigns with AI-powered conversations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.kakiyo.com/v1
security:
  - bearerAuth: []
paths:
  /agents:
    get:
      summary: List Agents
      description: Returns all agents for the authenticated team
      operationId: listAgents
      responses:
        '200':
          description: List of agents
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Agent'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Agent:
      type: object
      properties:
        id:
          type: string
          example: agent_abcdef123456
        name:
          type: string
          example: John Doe
        status:
          type: string
          enum:
            - setup_needed
            - auth_needed
            - auth_in_progress
            - running
            - paused
            - disabled
          example: running
        login:
          type: string
          example: john.doe@example.com
        country:
          type: string
          example: US
        avatar:
          type: string
          example: https://example.com/avatar.jpg
        nextTask:
          type: string
          format: date-time
          example: '2023-06-16T10:30:00Z'
        alerts:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                example: auth
              subType:
                type: string
                example: 2fa_required
              message:
                type: string
                example: >-
                  Please enter the verification code sent by LinkedIn to your
                  email/phone
              severity:
                type: string
                enum:
                  - info
                  - warning
                  - error
                example: warning
    Error:
      type: object
      properties:
        error:
          type: string
          example: validation_error
        message:
          type: string
          example: The request parameters failed validation
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: The name field is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````